//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FlexBase.hpp"
#include "FlexUtils.hpp"
#include "FlexMultiPics.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TFlexPanel *fpView;
        TPanel *Panel1;
        TBitBtn *bbAdd;
        TBitBtn *bbDelete;
        TComboBox *cbImages;
        TOpenPictureDialog *opd_Picture;
        TStatusBar *StatusBar1;
        TBevel *Bevel1;
        TBitBtn *bbSave;
        TBitBtn *bbLoad;
        TOpenDialog *od_Flex;
        TSaveDialog *sd_Flex;
        TBitBtn *bbEdit;
        void __fastcall bbAddClick(TObject *Sender);
        void __fastcall bbDeleteClick(TObject *Sender);
        void __fastcall cbImagesChange(TObject *Sender);
        void __fastcall bbSaveClick(TObject *Sender);
        void __fastcall bbLoadClick(TObject *Sender);
        void __fastcall bbEditClick(TObject *Sender);
private:	// User declarations
        TFlexMultiPicControl *FMultiPic;
        void __fastcall CreateMultiPic(void);
        void __fastcall CheckTools(void);
        void __fastcall RebuildImageCombo(void);
public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
