//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Forms.hpp>
#include "FlexBase.hpp"
#include "FlexControls.hpp"
#include "FlexProps.hpp"

//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TFlexPanel *fpView;
        TButton *btDemo;
        TButton *btLoad;
        TButton *btSave;
        TSpeedButton *sbtPointEdit;
        TOpenDialog *od_Main;
        TSaveDialog *sd_Main;
        TBevel *Bevel1;
        TBevel *Bevel2;
        void __fastcall btLoadClick(TObject *Sender);
        void __fastcall btSaveClick(TObject *Sender);
        void __fastcall sbtPointEditClick(TObject *Sender);
        void __fastcall btDemoClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
