//---------------------------------------------------------------------------

#ifndef fMultiPicH
#define fMultiPicH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ImgList.hpp>
#include <Graphics.hpp>
#include <FlexProps.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
//---------------------------------------------------------------------------
class TfmMultiPicEdit : public TForm
{
__published:	// IDE-managed Components
        TListView *lvPictures;
        TLabel *Label1;
        TBitBtn *bbClose;
        TImageList *imgIcons;
        TBitBtn *bbAdd;
        TBitBtn *bbDelete;
        TOpenPictureDialog *opd_Picture;
        TBitBtn *bbCancel;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall bbAddClick(TObject *Sender);
        void __fastcall bbDeleteClick(TObject *Sender);
private:	// User declarations
        TDataProp *FDataProp;
        TIntProp *FIndexProp;
        TList *FPictureList;
        void __fastcall CheckTools(void);
        void __fastcall LoadFromData(void);
        void __fastcall SaveToData(void);
        void __fastcall BuildImageList(void);
        void __fastcall ClearPictureList(void);
        int __fastcall GetPictureIndex(void);
        void __fastcall SetPictureIndex(int Value);
protected:
        __property int PictureIndex = {read=GetPictureIndex, write=SetPictureIndex};
public:		// User declarations
        __fastcall TfmMultiPicEdit(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMultiPicEdit *fmMultiPicEdit;
//---------------------------------------------------------------------------
#endif
