unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, FlexBase, FlexUtils, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    fpMain: TFlexPanel;
    sbtTriangle: TSpeedButton;
    sbtExit: TSpeedButton;
    sbtCreate: TSpeedButton;
    procedure sbtExitClick(Sender: TObject);
    procedure sbtTriangleClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure sbtCreateClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses ExtFlexControls;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 Randomize;
 fpMain.InDesign := true;
end;

procedure TForm1.sbtExitClick(Sender: TObject);
begin
 Close;
end;

procedure TForm1.sbtTriangleClick(Sender: TObject);
var Control: TFlexTriangle;
begin
 Control := TFlexTriangle.Create(fpMain, fpMain.ActiveScheme,
  fpMain.ActiveLayer);
 Control.Width := 50000;
 Control.Height := 50000;
 Control.Left := Random(fpMain.DocWidth - Control.Width);
 Control.Top := Random(fpMain.DocHeight - Control.Height);
 Control.BrushProp.Color := Random($FFFFFF);
 Control.PenProp.Color := Random($FFFFFF);
 Control.PenProp.Width := Random(4*PixelScaleFactor) + PixelScaleFactor;
 Control.DirectionProp.Value := Random(4);
 fpMain.UnselectAll;
 Control.IsSelected := true;
end;

procedure TForm1.sbtCreateClick(Sender: TObject);
begin
 if sbtCreate.Down
  then fpMain.CreatingControlClass := TFlexTriangle
  else fpMain.CreatingControlClass := Nil;
end;

end.
